#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_with	tests		# perform "make test"

%define		apxs	/usr/sbin/apxs
%define		pdir	libapreq2
%include	/usr/lib/rpm/macros.perl
Summary:	Apache Request Library
Summary(pl.UTF-8):	Biblioteka żądań Apache
Name:		libapreq2
Version:	2.13
Release:	2
License:	Apache v2.0
Group:		Libraries
Source0:	http://www.apache.org/dist/httpd/libapreq/%{name}-%{version}.tar.gz
# Source0-md5:	c11fb0861aa84dcc6cd0f0798b045eee
Source1:	apache-mod_apreq2.conf
Patch0:		am.patch
URL:		http://httpd.apache.org/apreq/
BuildRequires:	%{apxs}
BuildRequires:	apache-base >= 2.0.46
BuildRequires:	apache-devel >= 2.0.46
BuildRequires:	apache-mod_perl-devel >= 1:2
BuildRequires:	apr-devel >= 1.0.0
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	perl-Apache-Test
BuildRequires:	perl-ExtUtils-XSBuilder >= 0.23
BuildRequires:	perl-mod_perl
BuildRequires:	rpm-perlprov
%if %{with tests}
BuildRequires:	apache-mod_mime
BuildRequires:	perl-libwww
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
libapreq is a safe, standards-compliant, high-performance library used
for parsing HTTP cookies, query-strings and POST data.

Version 2 of libapreq is an improved codebase designed around APR and
Apache-2's input filter API.

%description -l pl.UTF-8
libapreq to bezpieczna, zgodna ze standardami, wysoko wydajna
biblioteka służąca do przetwarzania ciasteczek HTTP, łańcuchów zapytań
oraz danych POST.

Wersja 2 libapreq to ulepszony kod opracowany na bazie APR i API
filtra wejściowego Apache 2.

%package devel
Summary:	libapreq2 header files
Summary(pl.UTF-8):	Pliki nagłówkowe libapreq2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	apache-devel >= 2.0

%description devel
libapreq2 header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libapreq2.

%package static
Summary:	libapreq2 static library
Summary(pl.UTF-8):	Statyczna biblioteka libapreq2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libapreq2 library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libapreq2.

%package -n perl-%{name}
Summary:	Perl APIs for libapreq2 - Apache2::Request and Apache2::Cookie
Summary(pl.UTF-8):	Perlowe API dla libapreq2 - Apache2::Request i Apache2::Cookie
Group:		Development/Languages/Perl

%description -n perl-%{name}
Perl APIs for libapreq2 - Apache2::Request and Apache2::Cookie.

%description -n perl-%{name} -l pl.UTF-8
Perlowe API dla libapreq2 - Apache2::Request i Apache2::Cookie.

%package -n apache-mod_apreq2
Summary:	Apache module mod_apreq2
Summary(pl.UTF-8):	Moduł serwera Apache mod_apreq2
Group:		Networking/Daemons
Requires:	apache(modules-api) = %apache_modules_api
Obsoletes:	apache-mod_libapreq2

%description -n apache-mod_apreq2
Apache module mod_apreq2.

%description -n apache-mod_apreq2 -l pl.UTF-8
Moduł mod_apreq2 do serwera Apache.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-mm-opts="INSTALLDIRS=vendor" \
	--enable-perl-glue \
	--with-apache2-apxs=%{apxs} \
	%{!?with_static_libs:--disable-static}

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/APR/{Request.pod,Request/*.pod}
rm -f $RPM_BUILD_ROOT%{apachelibdir}/mod_apreq2.{a,la}
install -Dp %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/76_mod_apreq2.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post -n apache-mod_apreq2
%service -q httpd restart

%preun -n apache-mod_apreq2
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_libdir}/libapreq2.so.*.*
%ghost %{_libdir}/libapreq2.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapreq2.so
%{_libdir}/libapreq2.la
%{_includedir}/apreq2
%attr(755,root,root) %{_bindir}/apreq2-config
%dir %{_includedir}/apache/apreq2
%{_includedir}/apache/apreq2/apreq_module_apache2.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libapreq2.a
%endif

%files -n perl-%{name}
%defattr(644,root,root,755)
%{perl_vendorarch}/Apache2/*.pm
%{perl_vendorarch}/APR/*.pm
%dir %{perl_vendorarch}/APR/Request
%{perl_vendorarch}/APR/Request/*.pm
%dir %{perl_vendorarch}/auto/APR/Request
%dir %{perl_vendorarch}/auto/APR/Request/*
%{perl_vendorarch}/auto/APR/Request/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/APR/Request/*/*.so

# TODO: generate these manually; Makefile.PL (and overall logic) is broken
%{_mandir}/man3/Apache*
%{_mandir}/man3/APR*

%files -n apache-mod_apreq2
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_apreq2.conf
%attr(755,root,root) %{apachelibdir}/mod_apreq2.so
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libapreq2.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 2bf7ebe
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> a17355f
- fix build with automake 1.13

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> 243354d
- up to 2.13

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> ab4664a
- BR perl-mod_perl, perl-Apache-Test
- package ghost soname symlink
- rel 3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 2dc6f82
- BR: perl-Apache-Test, rpm-perlprov

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b3cb9b4
- release 2

* Sat Apr 18 2009 areq <areq@pld-linux.org> 3d18db8
- 2.12

* Sun Feb 24 2008 Elan Ruusamäe <glen@pld-linux.org> fed00ef
- release 6

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> 972c5b7
- use apacheconfdir/apachelibdir macros

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> b3c6ac5
- use conf.d for apache config fragment; rel 5

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> 2ce9ed3
- rel 4

* Tue Jul 31 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 350d2ed
- rel 3; rebuild with db4.6

* Tue Mar 27 2007 radek <radek@pld-linux.org> 379711c
- release 2: BR: apache-base, mp-devel >= 1:2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5ef5a38
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 23e79cf
- converted to UTF-8

* Mon Nov 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 7b5dd0f
- updated to final 2.09 (not under official URL yet)

* Fri Sep 08 2006 radek <radek@pld-linux.org> 515d014
- tests (off by default)

* Fri Sep 08 2006 radek <radek@pld-linux.org> 93a73a4
- version 2.0.9 rc1, killed glue/perl hack

* Thu Aug 17 2006 radek <radek@pld-linux.org> a79a9b7
- version 2.08

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> b59ef2d
- allow perl-libapreq co-exist, rel 4

